Bug 823333 - Review Request: rubygem-mixlib-cli - a ruby gem mixin for CLI support, including option parsing
Review Request: rubygem-mixlib-cli - a ruby gem mixin for CLI support, includ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Stribny
:
Depends On:
Blocks: 823344 823352
  Show dependency treegraph
 
Reported: 2012-05-20 19:51 EDT by Jonas Courteau
Modified: 2016-01-04 00:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 11:05:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jonas Courteau 2012-05-20 19:51:59 EDT
Spec URL: https://raw.github.com/jcourteau/rubygems-rpms/master/fc17/rubygem-mixlib-cli/rubygem-mixlib-cli.spec
SRPM URL: http://rpms.courteau.org/fedora/rubygem-mixlib-cli-1.2.2-1.fc17.src.rpm

Description: A simple (Rubygem) mixin for CLI interfaces, including option parsing.

This is part of a set of dependencies for rubygem-chef.  I've got about 14 packages to add, all ruby gems, and am looking for a sponsor.  Several of the packages were previously in Fedora (F11 and F12), but were removed due to lack of a maintainer.
Comment 1 Josef Stribny 2012-12-14 09:40:19 EST
* Remove Requires: ruby for other Ruby interpretations to be used with in f19

* Rakefile, NOTICE and README.rdoc are not require during runtime
  - Please consider moving them into the -doc subpackage

* Please consider moving specs into the -doc subpackage rather than exclude them

* I would suggest you to exclude %{gem_cache} as it's not needed

* Tests print:

........You must supply -r!
Usage: /usr/local/bin/rspec (options)
    -r
......

  - Tests shouldn't print STDOUT like this. It could be fixed by something suggested on stackoverflow [1]. 

[1] http://stackoverflow.com/questions/1496019/suppresing-output-to-console-with-ruby

@Julian C. Dunn: Adding you to CC. Could you please take over this bug?
Comment 2 Julian C. Dunn 2012-12-24 22:58:15 EST
(In reply to comment #1)

> * Remove Requires: ruby for other Ruby interpretations to be used with in f19
> 
> * Rakefile, NOTICE and README.rdoc are not require during runtime
>   - Please consider moving them into the -doc subpackage
> 
> * Please consider moving specs into the -doc subpackage rather than exclude
> them
> 
> * I would suggest you to exclude %{gem_cache} as it's not needed

All of the above have been corrected.

> * Tests print:
> 
> ........You must supply -r!
> Usage: /usr/local/bin/rspec (options)
>     -r
> ......
> 
>   - Tests shouldn't print STDOUT like this. It could be fixed by something
> suggested on stackoverflow [1]. 

I added a patch for this to the SRPM, though I don't know if it'll be accepted upstream -- it's a matter of taste and the fix is kind of dirty. But it will silence output to STDOUT on the tests.

Please have a look:

http://jdunn.fedorapeople.org/rubygem-mixlib-cli/rubygem-mixlib-cli.spec
http://jdunn.fedorapeople.org/rubygem-mixlib-cli/rubygem-mixlib-cli-1.2.2-2.fc19.src.rpm
Comment 3 Josef Stribny 2013-01-02 05:46:42 EST
* %{gem_instdir}/NOTICE and %{gem_instdir}/README.rdoc should be marked as %doc

Otherwise the package is fine. Rpmlint gave me no errors and it builds in Koji -> APPROVED. Please mark the above mentioned files as %doc before pushing. Thanks.
Comment 4 Vít Ondruch 2013-01-02 08:22:15 EST
(In reply to comment #2)
> I added a patch for this to the SRPM, though I don't know if it'll be
> accepted upstream -- it's a matter of taste and the fix is kind of dirty.
> But it will silence output to STDOUT on the tests.

Julien, could you please always try to comment what is the patch about? Its purpose, its source etc. It is good to know if you submit the patch upstream, what is the status or if you taken the patch from upstream, when it can be dropped etc.
Comment 5 Julian C. Dunn 2013-01-02 14:00:09 EST
(In reply to comment #4)
> (In reply to comment #2)
> > I added a patch for this to the SRPM, though I don't know if it'll be
> > accepted upstream -- it's a matter of taste and the fix is kind of dirty.
> > But it will silence output to STDOUT on the tests.
> 
> Julien, could you please always try to comment what is the patch about? Its
> purpose, its source etc. It is good to know if you submit the patch
> upstream, what is the status or if you taken the patch from upstream, when
> it can be dropped etc.

Sure, no problem. Thanks for the advice.
Comment 6 Julian C. Dunn 2013-01-02 14:01:36 EST
Package Change Request
======================
Package Name: rubygem-mixlib-cli
New Branches: f16 f17 f18
Owners: jdunn
InitialCC: 

Unretire package.
Comment 7 Gwyn Ciesla 2013-01-02 15:06:20 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-01-13 22:50:23 EST
rubygem-mixlib-cli-1.2.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-mixlib-cli-1.2.2-3.fc18
Comment 9 Fedora Update System 2013-01-13 22:51:29 EST
rubygem-mixlib-cli-1.2.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-mixlib-cli-1.2.2-3.fc17
Comment 10 Fedora Update System 2013-01-13 22:52:18 EST
rubygem-mixlib-cli-1.2.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-mixlib-cli-1.2.2-3.fc16
Comment 11 Fedora Update System 2013-01-14 21:20:54 EST
rubygem-mixlib-cli-1.2.2-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-01-23 11:05:14 EST
rubygem-mixlib-cli-1.2.2-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2013-01-23 11:08:24 EST
rubygem-mixlib-cli-1.2.2-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2013-01-23 11:16:28 EST
rubygem-mixlib-cli-1.2.2-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.